import Head from 'next/head';
import Header from "../../components/partials/header";
export default function MultiBooked() {
  return (
    <>
      <Head>
        <title>eCommerce Dashboard | TailAdmin - Tailwind CSS Admin Dashboard Template</title>
        <meta charSet="UTF-8" />
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0" />
        <meta httpEquiv="X-UA-Compatible" content="ie=edge" />
      </Head>

      <div className="flex h-screen overflow-hidden">
        {/* Content Area */}
        <div className="relative flex flex-col flex-1 overflow-x-hidden overflow-y-auto">
          {/* Header would be included here */}
          <Header />

          {/* Main Content */}
          <main>
            <div className="p-4 mx-auto max-w-[--breakpoint-2xl] md:p-6">
              <div>
                <h2 className="text-2xl">Generate Appointment Code</h2>
                <label htmlFor="appointmentDate">Date:
                  <input type="date" name="appointmentDate" id="appointmentDate" />
                </label>
              </div>
              
              <div className="max-w-2xl mx-auto my-20 lg:my-32">
                <div className="space-y-4 text-center mb-6 lg:mb-16">
                  <div className="flex justify-between items-center mx-4">
                    <h2 className="text-2xl"><span>1.</span> John Doe</h2>
                    <h1 className="text-3xl text-blue-800">35</h1>
                  </div>
                  <div className="flex justify-between items-center mx-4">
                    <h2 className="text-2xl"><span>2.</span> John Doe</h2>
                    <h1 className="text-3xl text-blue-800">63</h1>
                  </div>
                  <div className="flex justify-between items-center mx-4">
                    <h2 className="text-2xl"><span>3.</span> John Doe</h2>
                    <h1 className="text-3xl text-blue-800">45</h1>
                  </div>
                  <div className="flex justify-between items-center mx-4">
                    <h2 className="text-2xl"><span>4.</span> John Doe</h2>
                    <h1 className="text-3xl text-blue-800">15</h1>
                  </div>
                  <div className="flex justify-between items-center mx-4">
                    <h2 className="text-2xl"><span>5.</span> John Doe</h2>
                    <h1 className="text-3xl text-blue-800">06</h1>
                  </div>
                </div>
                <div className="flex flex-col gap-4 md:flex-row w-full">
                  <a href="/staff-booking.html" className="w-full">
                    <button
                      className="text-center rounded-lg bg-blue-700 px-5 py-3.5 text-sm font-medium text-white shadow-theme-xs transition hover:bg-blue-600 w-full"
                    >
                      Book Another
                    </button>
                  </a>
                  <a href="#" className="w-full">
                    <button
                      className="text-center rounded-lg bg-white px-5 py-3.5 text-sm font-medium text-gray-700 shadow-theme-xs ring-1 ring-inset ring-gray-300 transition hover:bg-gray-50 dark:bg-gray-800 dark:text-gray-400 dark:ring-gray-700 dark:hover:bg-white/[0.03] w-full"
                    >
                      Manage
                    </button>
                  </a>
                </div>
              </div>
              
              <div className="text-center">
                <p>Note: Token booking is available for current date only i.e. Today</p>
              </div>
            </div>
          </main>
        </div>
      </div>
    </>
  );
}