"use client";
import Head from 'next/head';
import { useState } from 'react';
import Header from "../../components/partials/header";

export default function BookAppointment() {
  const [darkMode, setDarkMode] = useState(false);

  return (
    <div className={`flex h-screen overflow-hidden ${darkMode ? 'dark bg-gray-900' : ''}`}>
      <Head>
        <title>eCommerce Dashboard | TailAdmin - Tailwind CSS Admin Dashboard Template</title>
        <meta charSet="UTF-8" />
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0" />
        <meta httpEquiv="X-UA-Compatible" content="ie=edge" />
      </Head>

      {/* Content Area */}
      <div className="relative flex flex-1 flex-col overflow-x-hidden overflow-y-auto">
        {/* Sticky Header */}
        <header className="sticky top-0 z-50 bg-white shadow-sm dark:bg-gray-800">
          <div className="flex items-center justify-between p-4">
           <Header></Header>
          </div>
        </header>

        {/* Main Content */}
        <main className="flex-1 overflow-y-auto">
          <div className="mx-auto max-w-[--breakpoint-2xl] p-4 md:p-6 pt-20"> {/* Added pt-20 to account for sticky header */}
            <div>
              <h2 className="text-2xl">Book Appointment</h2>
              <label htmlFor="appointmentDate">
                Date:
                <input
                  type="date"
                  name="appointmentDate"
                  id="appointmentDate"
                  className="ml-2 p-1 border rounded"
                />
              </label>
            </div>
            
            <div className="mx-auto my-20 flex max-w-2xl flex-col items-center justify-center gap-6 lg:my-32">
              <div className="w-full space-y-4">
                {[1, 2, 3, 4, 5].map((item) => (
                  <div key={item}>
                    <label className="mb-1.5 block text-sm font-medium text-gray-700 dark:text-gray-400">
                      Enter Name
                    </label>
                    <input
                      type="text"
                      placeholder="John Doe"
                      className="dark:bg-dark-900 shadow-theme-xs focus:border-blue-300 focus:ring-blue-500/10 dark:focus:border-blue-800 h-11 w-full rounded-lg border border-gray-300 bg-transparent px-4 py-2.5 text-sm text-gray-800 placeholder:text-gray-400 focus:ring-3 focus:outline-hidden dark:border-gray-700 dark:bg-gray-900 dark:text-white/90 dark:placeholder:text-white/30"
                    />
                  </div>
                ))}
              </div>
              <div className="w-full">
                <a href="/multi-booked.html">
                  <button
                    className="bg-blue-500 shadow-theme-xs hover:bg-blue-600 w-full rounded-lg px-5 py-3.5 text-center text-sm font-medium text-white transition"
                  >
                    Submit
                  </button>
                </a>
              </div>
            </div>
            
            <div className="text-center">
              <p>
                Note: Token booking is available for current date only i.e.
                Today
              </p>
            </div>
          </div>
        </main>
      </div>
    </div>
  );
}