"use client";
import React from "react";

const EntriesTable = () => {
  // Removed theme-related code
  const entries = [
    {
      token: 1,
      name: "John Doe",
      status: "Done",
      statusColor: "text-green-500 bg-green-50",
    },
    {
      token: 2,
      name: "Jane Smith",
      status: "In-Queue",
      statusColor: "text-amber-500 bg-amber-50",
    },
    {
      token: 3,
      name: "Alice Johnson",
      status: "Cancelled",
      statusColor: "text-red-500 bg-red-50",
    },
    {
      token: 4,
      name: "Bob Williams",
      status: "Done",
      statusColor: "text-green-500 bg-green-50",
    },
  ];

  return (
<div className="min-h-screen w-full flex flex-col items-center justify-start bg-gray-50 p-4">
 {/* ----------------------------------------- */}
<div className=" mt-10 w-full flex flex-col items-center justify-start bg-gray-50 p-4 rounded-md shadow-sm bg-white">
 <div className="hidden sm:hidden md:hidden lg:block lg:gap-16 lg:w-full lg:px-6 lg:py-3 xl:flex xl:gap-4 xl:w-full xl:px-6 2xl:flex 2xl:gap-16 2xl:w-full 2xl:px-6">
   <div className="flex flex-col gap-3">
     <div className="grid grid-cols-4 gap-4">
       {[1, 2, 3, 4].map((item) => (
         <div key={item} className="border-2 rounded-[10px] px-2 py-2 flex flex-col gap-3 w-[10rem]">
           <h2 className="text-[14px] text-[#667085]">Total Patients</h2>
           <div className="flex gap-5 -mt-1">
             <p className="text-[25px]">345</p>
             <p className="text-[8px] text-[#667085] mt-[18px]">
               <span className="text-green-400">+25%</span> vs Last Week
             </p>
           </div>
           <button className="bg-[#465FFF] text-white text-[8px] px-[24px] py-[4px] w-full rounded-[4px]">
             View List
           </button>
         </div>
       ))}
     </div>

     <div className="w-[43rem] h-[7rem] border-2 rounded-[10px] px-2 py-2 flex flex-col gap-2">
       <h2 className="text-[14px] text-[#667085]">Missed Token</h2>
       <p className="text-[20px]">
         J-134, J-159, J-134, J-159, J-134, J-159, J-134, J-159, J-134, J-159, J-134, J-159
       </p>
       <button className="bg-[#465FFF] text-white text-[8px] px-[24px] py-[4px] w-full rounded-[4px]">
         View List
       </button>
     </div>
   </div>

   <div className="lg:border-2 lg:rounded-[10px] lg:px-6 lg:py-6 lg:w-[50%] lg:h-[15rem] lg:flex-col lg:items-center lg:gap-5 lg:hidden xl:block xl:border-2 xl:rounded-[10px] xl:px-6 xl:py-6 xl:w-[50%] xl:h-[15rem] xl:flex xl:flex-col xl:items-center xl:gap-5 2xl:border-2 2xl:rounded-[10px] 2xl:px-8 2xl:pt-6 2xl:pb-8 2xl:w-[50%] 2xl:h-[15rem] 2xl:flex 2xl:flex-col 2xl:items-center 2xl:gap-5">
     <div>
       <h2 className="text-[14px] text-[#667085]">Current Token</h2>
       <p className="font-bold text-[25px] text-center">J-369</p>
     </div>

     <div className="flex flex-row items-center gap-5 2xl:gap-[6rem]">
       <div>
         <h2 className="text-[14px] text-[#667085]">Previous Token</h2>
         <p className="font-bold text-red-500 text-[25px] text-center">J-210</p>
       </div>
       <div>
         <h2 className="text-[14px] text-[#667085]">Next Token</h2>
         <p className="text-green-500 font-bold text-[25px] text-center">J-309</p>
       </div>
     </div>

     <button className="bg-[#465FFF] text-white text-[8px] px-[24px] py-[6px] w-full rounded-[4px] 2xl:text-[12px]">
       View List
     </button>
   </div>
 </div>
</div>
{/* ------------------------------------------------------------------- */}


<div className="min-h-screen mt-10 w-full flex flex-col items-center justify-start bg-gray-50 p-4 rounded-md shadow-sm bg-white">
        <table className="w-full min-w-max table-auto">
        <thead>
          <tr className="text-gray-600">
            <th className="p-4 font-medium text-left">Token</th>
            <th className="p-4 font-medium text-left">Name</th>
            <th className="p-4 font-medium text-left">Options</th>
            <th className="p-4 font-medium text-left">Status</th>
          </tr>
        </thead>
        <tbody>
          {entries.map((entry, index) => (
            <tr key={index} className="border-t border-gray-100">
              <td className="p-4 font-semibold text-sm">{entry.token}</td>
              <td className="p-4 text-sm">{entry.name}</td>
             
              <td className="p-4">
                <div className="flex gap-2">
                  <button className="px-3 py-1 text-xs border border-gray-200 rounded-full flex items-center gap-1 text-gray-700 hover:bg-gray-50">
                  <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" fill="currentColor" className="bi bi-pencil" viewBox="0 0 16 16">
                <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325"></path>
              </svg>
                    Done
                  </button>
                  <button className="px-3 py-1 text-xs border border-gray-200 rounded-full flex items-center gap-1 text-gray-700 hover:bg-gray-50">
                  <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" fill="currentColor" className="bi bi-pencil" viewBox="0 0 16 16">
                <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325"></path>
              </svg>
                    Missed
                  </button>
                </div>
              </td>
              <td className="p-4">
                <span className={`px-3 py-1 rounded-full text-sm ${entry.statusColor}`}>
                  {entry.status}
                </span>
              </td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
    </div>
  );
};

export default EntriesTable;